Bug 140785 - Hardware detection hangs with Microsoft IntelliMouse connected
Hardware detection hangs with Microsoft IntelliMouse connected
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-24 16:41 EST by H. Jessen
Modified: 2015-01-04 17:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 21:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Result of 'strace kudzu 2> kudzu.out' (35.33 KB, text/plain)
2004-11-28 15:25 EST, H. Jessen
no flags Details

  None (edit)
Description H. Jessen 2004-11-24 16:41:13 EST
Description of problem:
Hardware detection hangs with a Microsoft IntelliMouse wireless USB 
mouse connected.

This appears in two different places:
(1) During installation at an early stage where the /sbin/loader (I 
hope I got this name correctly) appears to be about to start.

(2) During ordinary start of the installed system. In this situation 
it is kudzu that doesn't terminate thus hanging the system.

No  messages are displayed in any case although I've been waiting for 
several minutes. Replacing the IntelliMouse with an ordinary PS/2 
mouse works.

Version-Release number of selected component (if applicable):
Fedora Core 3 release as downloaded on Nov. 22 (two days ago)

How reproducible:
Three times out of three

Steps to Reproduce:
1. Attach the mouse
2. Boot on FC3 CD 1
3. Press <enter> at the installation prompt to start installation
4. The process stops (hangs) after a few seconds
Additional info:
System information:
-IBM PC300
-Intel Celeron-500MHz
-256MB RAM
-Windows 98 installed on primary partition
-Previously had Redhat 9 on secondary partition(s)

The mouse works flawlessly on both Win98 and RedHat 9 (and Redhat 7 
before that).
Comment 1 Bill Nottingham 2004-11-24 16:50:45 EST
Does it hang post-boot if you run it then? If so, can you get a strace?
Comment 2 H. Jessen 2004-11-28 15:25:36 EST
Created attachment 107518 [details]
Result of 'strace kudzu 2> kudzu.out'

I booted FC3 in 'single' mode and ran kudzu with strace. The result is
Comment 3 H. Jessen 2004-11-28 15:29:23 EST
Oh, and one more thing related to the strace attached above: kudzu 
still hangs when started this way and I aborted it after some minutes 
with ctrl-C.

Let me know if I can provide further useful information.
Comment 4 Bill Nottingham 2004-11-28 15:48:58 EST
It's hanging reading /proc/bus/usb/devices.
Comment 5 Dave Jones 2005-07-15 16:36:15 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 21:11:46 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.